#### D.2.12.2 changeord

Procedure from library `ring.lib` (see ring_lib).

Usage:
  changeord(neword[,r]); newordstr=list, r=ring/qring

Return:
  ring R, obtained from the ring r [default: r=basering], by changing order(r) to neword.
  If, say, neword=list(list("wp",intvec(2,3)),list(list("dp",1:(n-2)))); and if the ring r exists and has n variables, the ring R will be equipped with the monomial ordering wp(2,3),dp.

Example:

    LIB "ring.lib";
    ring r=0,(x,y,u,v),(dp(2),ds);
    def R=changeord(list(list("wp",intvec(2,3)),list("dp",1:2))); R; "";
    ==> // coefficients: QQ considered as a field
    ==> // number of vars : 4
    ==> //        block   1 : ordering wp
    ==> //                  : names    x y
    ==> //                  : weights  2 3
    ==> //        block   2 : ordering dp
    ==> //                  : names    u v
    ==> //        block   3 : ordering C
    ==>
    ideal i = x^2,y^2-u^3,v;
    qring Q = std(i);
    def Q'=changeord(list(list("lp",nvars(Q))),Q); setring Q'; Q';
    ==> // coefficients: QQ considered as a field
    ==> // number of vars : 4
    ==> //        block   1 : ordering lp
    ==> //                  : names    x y u v
    ==> //        block   2 : ordering C
    ==> // quotient ring from ideal
    ==> _[1]=v
    ==> _[2]=x2
    ==> _[3]=y2-u3
    kill R,Q,Q';

User manual for Singular version 4.4.1, 2025, generated by texi2html.